Subject: bug#9739: 24.0.90; abort at find_row_edges xdisp.c:18714

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Oct 2011 20:02:03 +0200

> From: [email-masked]
> Date: Thu, 13 Oct 2011 01:22:58 +0800
> Cc: Haitao Li <[email-masked]>
> 
> I met this issue when using egg-log command by egg.el[1]. I can
> reproduce this bug everytime.
> 
> Step to reproduce:
>   - Open a directory which is a git work tree. For example, a clone of
>     http://github.com/git/git.git 
>   - M-x egg-log 
>   - Press the `s' key
> 
> Full backtrace attach at the end of this mail.

I don't have any git trees on my machine, and don't have egg-log
installed.  So please see if the patch below solves this problem.

=== modified file 'src/bidi.c'
--- src/bidi.c	2011-10-12 15:12:52 +0000
+++ src/bidi.c	2011-10-12 17:56:48 +0000
@@ -808,7 +808,6 @@ bidi_init_it (EMACS_INT charpos, EMACS_I
   bidi_it->nchars = -1;	/* to be computed in bidi_resolve_explicit_1 */
   bidi_it->first_elt = 1;
   bidi_set_paragraph_end (bidi_it);
-  bidi_it->paragraph_dir = NEUTRAL_DIR;
   bidi_it->new_paragraph = 1;
   bidi_it->separator_limit = -1;
   bidi_it->type = NEUTRAL_B;

=== modified file 'src/xdisp.c'
--- src/xdisp.c	2011-10-12 15:12:52 +0000
+++ src/xdisp.c	2011-10-12 17:56:28 +0000
@@ -19479,6 +19479,7 @@ See also `bidi-paragraph-direction'.  */
 	    bytepos--;
 	}
       bidi_init_it (pos, bytepos, FRAME_WINDOW_P (SELECTED_FRAME ()), &itb);
+      itb.paragraph_dir = NEUTRAL_DIR;
       itb.string.s = NULL;
       itb.string.lstring = Qnil;
       itb.string.bufpos = 0;